> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sectors

> Retrieve the list of available sectors to be used as filters when searching for companies in the Knowledge Graph.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json get /v1/knowledge-graph/companies/sectors
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/companies/sectors:
    get:
      tags:
        - Companies
      summary: Get sectors
      description: >-
        Retrieve the list of available sectors to be used as filters when
        searching for companies in the Knowledge Graph.
      operationId: getSectors
      responses:
        '200':
          description: Successful response with available sectors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SectorsResponse'
components:
  schemas:
    SectorsResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: string
          description: Array of available sectors for filtering companies
          example:
            - Technology
            - Financials
            - Consumer Services
            - Health Care
            - Consumer Goods
            - Industrials
            - Basic Materials
            - Telecommunications
            - Real Estate
            - Energy
            - Utilities
        metadata:
          type: object
          properties:
            request_id:
              type: string
              description: Unique request identifier
              example: 18f8fbd1-fa1d-4c67-9dd5-a2434ce1a6b5
            timestamp:
              type: string
              format: date-time
              description: Response timestamp
              example: '2025-10-08T06:35:46.901505+00:00'
          required:
            - request_id
            - timestamp
      required:
        - results
        - metadata
      description: Response containing available sectors for company filtering
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````